let shopMixid = "dev001";
let sessionid = "eedbbdaf-844c-4fcc-8970-1fb92346441c";
console.log('----------------------------', process.env.sessionid);

// wx.getStore
export async function requestGET(url, options) {

    return new Promise((resolve, reject) => {
        wx.request({
            url: url,
            data: options,
            method: "GET",
            header: {
                "Shop-Mixid": shopMixid,
            },
            success: function (res) {
                resolve(res)
            },
            fail: function (res) {
                reject(res)
            }
        })
    })
}

export async function requestPOST(url, options) {
    return new Promise((resolve, reject) => {
        wx.request({
            url: url,
            data: options,
            method: "POST",
            header: {
                "Shop-Mixid": shopMixid,
            },
            success: function (res) {
                resolve(res)
            },
            fail: function (res) {
                reject(res)
            }
        })
    })
}

export function requestPOST1(url, options) {
    let header=getHeader();
    return new Promise((resolve, reject) => {
        wx.request({
            url: url,
            data: options,
            method: "POST",
            header: header,
            success: function (res) {
                resolve(res)
            },
            fail: function (res) {
                reject(res)
            }
        })
    })
}

function getHeader() {
    let sessionid = wx.getStorageSync('sessionid');
    let header = {
        "Content-Type": "application/x-www-form-urlencoded",
        "Shop-Mixid": shopMixid,
        Authorization: sessionid
    };
    // if (!sessionid) {
    //     delete header.Authorization
    // }
    return header
}